package com.mgr.group.data;

import com.data.bean.AccountBean;
import com.taurus.core.entity.ITObject;
import com.taurus.core.entity.TObject;

/**
 * 基本玩家对象
 * 
 *
 */
public class Player extends AccountBean{
	/**
	 * 座位
	 */
	public int				seat			= 0;
	public int				off_time        = 0;
	public long 			hp			=0;

	public int queueid    = 0;

	public int seeid     = 0;

	private ITObject 	playerData = new TObject();
	
	/**
	 * 获取玩家信息
	 * @return
	 */
	public ITObject getInfo() {
		playerData.putInt("aid", this.id);
		playerData.putUtfString("nick", this.nick);
		playerData.putUtfString("portrait", this.portrait);
		playerData.putInt("seat", this.seat);
		playerData.putInt("off_time", off_time);
		playerData.putLong("hp", hp);
		playerData.putInt("queueid",queueid);
		playerData.putInt("seeid",seeid);
		return playerData;
	}

	public String toString() {
		return redis_key;
	}
}
